---
{{ if .Values.ctfd.storage.uploadFolder.persistent }}
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
 name: {{ include "helm-chart.fullname" . }}-upload-folder
spec:
 accessModes:
    - {{ .Values.ctfd.storage.uploadFolder.accessMode }}
 resources:
    requests:
      storage: {{ .Values.ctfd.storage.uploadFolder.size }}
#  storageClassName: {{ .Values.ctfd.storage.uploadFolder.storageClass }}
{{- end }}